AMULECMD(1)

NAME
amulecmd - Text-based program to control aMule

SYNOPSIS
amulecmd [-h <host>] [-p <port>] [-P <passwd>] [-f <path>] [-l <lang>] [-q] [-v] [-w] [-c <command>]

amulecmd [-f <path>] --create-config-from=<path>

amulecmd [--help] [--version]

DESCRIPTION
amulecmd is a text-based client to control aMule. Useful help can be obtained when you launch the program.

amulecmdDLG is the GUI version of amulecmd, and the only difference is that it does not accept the -c option.

-h, --host=<host>
    host where aMule is running (default: localhost). <host> might be an IP address or a DNS name

-p, --port=<port>
    aMule's port for External Connections, as set in Preferences->Remote Controls (default: 4712)

-P, --password=<passwd>
    External Connections password

-f, --config-file=<path>
    use the given configuration file. Default configuration file is ~/.aMule/remote.conf

-l, --locale=<lang>
    Sets program locale (language). See section NOTES for the description of the <lang> parameter.

-q, --quiet
    do not print any output to stdout. This seems to be a very much useless option with amulecmd.

-v, --verbose
    be verbose - show also debug messages

-w, --write-config
    write command line options to config file and exit

-c, --command=<command>
    execute <command> as if it was entered at amulecmd's prompt and exit (unavailable in GUI version)

--create-config-from=<path>
    create config file based upon <path>, which must point to a valid aMule config file, and then exit

--help
    display usage help information and exit

--version
    output program version information and exit

NOTES

  Paths
For all options which take a <path> value, if the path contains no directory part (i.e. just a plain filename), then it is considered to be under the aMule configuration directory, ~/.aMule.

  Languages
The <lang> parameter for the -l option has the following form: lang[_LANG][.encoding][@modifier] where lang is the primary language, LANG is a sublanguage/territory, encoding is the character set to use and modifier "allows the user to select a specific instance of localization data within a single category".

For example, the following strings are valid:
fr
fr_FR
de_DE.iso88591
de_DE@euro
de_DE.iso88591@euro

Though all the above strings are accepted as valid language definitions, encoding and modifier are yet unused.

In addition to the format above, you can also specify full language names in English - so -l german is also valid and is equal to -l de_DE.

When no locale is defined, either on command-line or in config file, system default language will be used.

FILES
~/.aMule/remote.conf

EXAMPLE
Typically amulecmd will be first run as:

amulecmd -h hostname -p ECport -P ECpassword -w

or

amulecmd --create-config-from=/home/username/.aMule/amule.conf

These will save settings to $HOME/.aMule/remote.conf, and later you only need to type:

amulecmd

Of course, you don't have to follow this example.

REPORTING BUGS
Please report bugs either on our forum (http://forum.amule.org/), or in our bugtracker (http://bugs.amule.org/). Please do not report bugs in e-mail, neither to our mailing list nor directly to any team member.

COPYRIGHT
aMule and all of its related utilities are distributed under the GNU General Public License.

SEE ALSO
amule(1), amuleweb(1)